use uuid::Uuid;

#[derive(sqlx::FromRow, Debug, Clone)]
pub struct User {
    pub uuid: Uuid,
    pub name: String,
}

#[derive(sqlx::FromRow, Debug, Clone)]
pub struct Train {
    pub uuid: Uuid,
    pub tz_id: i32,
    pub name: Option<String>,
}

#[derive(sqlx::FromRow, Debug, Clone)]
pub struct BingoCardField {
    pub uuid: Uuid,
    #[sqlx(rename = "x_pos")]
    pub x: i32,
    #[sqlx(rename = "y_pos")]
    pub y: i32,
    #[sqlx(rename = "card_uuid")]
    pub card_id: Uuid,
    #[sqlx(flatten, rename = "triebzug")]
    pub train: Train,
}

#[derive(sqlx::FromRow, Debug, Clone)]
pub struct BingoCard {
    pub id: Uuid,
}